/*
 * RAV API
 * RAV API
 *
 * OpenAPI spec version: 1.0.0-oas3
 * Contact: name@mail.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.experiment.sbi.rav.model;

import java.util.Objects;
import com.google.gson.annotations.SerializedName;
/**
 * Topic
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2020-04-06T19:10:49.373Z[GMT]")
public class Topic {
  @SerializedName("brokerAddr")
  private String brokerAddr = null;

  @SerializedName("topic")
  private String topic = null;

  @SerializedName("metric")
  private String metric = null;

  @SerializedName("category")
  private String category = null;

  public void setCategory(String category) {
    this.category = category;
  }

  public Topic brokerAddr(String brokerAddr) {
    this.brokerAddr = brokerAddr;
    return this;
  }

   /**
   * Get brokerAddr
   * @return brokerAddr
  **/
  public String getBrokerAddr() {
    return brokerAddr;
  }

  public void setBrokerAddr(String brokerAddr) {
    this.brokerAddr = brokerAddr;
  }

  public Topic topic(String topic) {
    this.topic = topic;
    return this;
  }

   /**
   * Get topic
   * @return topic
  **/
  public String getTopic() {
    return topic;
  }

  public void setTopic(String topic) {
    this.topic = topic;
  }

  public Topic metric(String metric) {
    this.metric = metric;
    return this;
  }

   /**
   * Get metric
   * @return metric
  **/
  public String getMetric() {
    return metric;
  }

  public void setMetric(String metric) {
    this.metric = metric;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Topic topic = (Topic) o;
    return Objects.equals(this.brokerAddr, topic.brokerAddr) &&
        Objects.equals(this.topic, topic.topic) &&
        Objects.equals(this.metric, topic.metric);
  }

  @Override
  public int hashCode() {
    return Objects.hash(brokerAddr, topic, metric);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Topic {\n");
    
    sb.append("    brokerAddr: ").append(toIndentedString(brokerAddr)).append("\n");
    sb.append("    topic: ").append(toIndentedString(topic)).append("\n");
    sb.append("    metric: ").append(toIndentedString(metric)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
